12.1.0.5 Enterprise Manager has incorrect patch recommendations to apply Patch 18524956 and Patch 18524960 (Doc ID 2031080.1)

Last updated on NOVEMBER 07, 2016

Applies to:

Enterprise Manager Base Platform - Version 12.1.0.5.0 to 12.1.0.5.0 [Release 12.1]
Information in this document applies to any platform.

Symptoms

Enterprise Manager 12.1.0.5 patch recommendations incorrectly recommends to apply Patch 18524956 and Patch 18524960.

For example:

Notice that the following patches are listed for the target type 'agent' for the product/family "Enterprise Manager for Fusion Middleware"

Patch 18524956: EM FMW PLUGIN BUNDLE PATCH 12.1.0.5.5 (AGENT SIDE - MONITORING)
Patch 18524960: EM FMW PLUGIN BUNDLE PATCH 12.1.0.5.5 (AGENT SIDE - DISCOVERY)

This is an incorrect recommendation, Enterprise Manager 12.1.0.5 ships with 12.1.0.8 FMW plugin by default.  Therefore, these recommendations are not applicable and the patches should not be applied.  If an attempt is made to apply one of the patches, the following will be shown and it will not be possible to apply.

Applying interim patch '18524960' to OH '/opt/oracle/agent/plugins/oracle.sysman.emas.discovery.plugin_12.1.0.8.0' Verifying environment and performing prerequisite checks... Prerequisite check "CheckApplicable" failed. The details are: Patch 18524960: Required component(s) missing : [ oracle.sysman.emas.plugin.discovery, 12.1.0.5.0, higher version 12.1.0.8.0 found. ]

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms